#!/bin/sh

me="[$(printf $0 | xargs basename)]"

# Load OTP_Mainline.sh
. /opt/gira/bin/OTP_Mainline.sh

OCOTP_MAC_BANK=4
OCOTP_MAC0_WORD=2
OCOTP_MAC1_WORD=3


read_mac_address () {
  local otp_mac=$(read_otp_double_value $OCOTP_MAC_BANK $OCOTP_MAC0_WORD $OCOTP_MAC1_WORD)
  echo "${otp_mac}"
}

write_mac_address () {
  local input_mac=$1
  write_otp_double_value $OCOTP_MAC_BANK $OCOTP_MAC0_WORD $OCOTP_MAC1_WORD $input_mac
}
